package com.bonus.sharedstation.app.domain;

import org.hibernate.validator.constraints.NotBlank;

import java.util.Date;

/**
 * GreenUserInfo
 * @author dell
 */
public class GreenUserInfo implements java.io.Serializable {

	/**
	 * 序列化
	 */
	private static final long serialVersionUID = 6197622378439437176L;

	/**
	*主键ID
	*/

	private String id;

	private String userId;

	/**
	*登录用户名称
	*/
	@NotBlank(message="不能为空")
	private String loginName;

	/**
	*用户密码
	*/
	@NotBlank(message="不能为空")
	private String userPassword;

	/**
	*真实姓名
	*/
	@NotBlank(message="不能为空")
	private String realName;

	/**
	*用户电话
	*/
	@NotBlank(message="不能为空")
	private String mobile;

	/**
	*邮箱
	*/
	@NotBlank(message="不能为空")
	private String email;

	/**
	*统一编号
	*/
	@NotBlank(message="不能为空")
	private String unicode;

	/**
	*用户所在部门ID
	*/
	@NotBlank(message="不能为空")
	private Long departmentId;

	/**
	*用户所在部门名称
	*/
	@NotBlank(message="不能为空")
	private String departmentName;

	/**
	*所属位置
	*/
	@NotBlank(message="不能为空")
	private String ownerLocation;

	/**
	*用户所在单位ID
	*/
	@NotBlank(message="不能为空")
	private Long orgId;

	/**
	*用户所在单位名称
	*/
	@NotBlank(message="不能为空")
	private String orgName;

	/**
	*用户所属职位职称
	*/
	@NotBlank(message="不能为空")
	private String title;

	/**
	*用户状态 1正常 2禁用 4密码过期 5账号过期
	*/
	@NotBlank(message="不能为空")
	private String userStatus;

	/**
	*有效期开始时间
	*/
	@NotBlank(message="不能为空")
	private String startUsefulLife;

	/**
	*有效期结束时间
	*/
	@NotBlank(message="不能为空")
	private String endUsefulLife;

	/**
	*出生日期
	*/
	@NotBlank(message="不能为空")
	private String birthday;

	/**
	*个人身份证号
	*/
	@NotBlank(message="不能为空")
	private String idCard;

	/**
	*餐卡状态0正常1挂失2退卡
	*/
	@NotBlank(message="不能为空")
	private String mealStatus;

	/**
	*餐卡卡号
	*/
	@NotBlank(message="不能为空")
	private String mealNo;

	/**
	*公司
	*/
	@NotBlank(message="不能为空")
	private String compony;

	/**
	*备注
	*/
	@NotBlank(message="不能为空")
	private String remark;

	/**
	*创建者
	*/
	@NotBlank(message="不能为空")
	private String creator;

	/**
	*修改者
	*/
	@NotBlank(message="不能为空")
	private String modifier;

	/**
	*创建时间
	*/
	@NotBlank(message="不能为空")
	private Date gmtCreated;

	/**
	*修改时间
	*/
	@NotBlank(message="不能为空")
	private Date gmtModified;

	/**
	*是否删除YN默认N
	*/
	@NotBlank(message="不能为空")
	private String isDeleted;


	/**
	 * 车牌号
	 * @return
	 */
    private String carNumber;

    private String baseorgPath;


    /**
     * 年龄
     */
    private int age;

    /**
     * 性别
     */
    private int gender;

    /**
	 * 座机号
	 */
	private String landline;

	/**
	 * 现居住地址
	 */
	private String liveAddr;

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getBaseorgPath() {
		return baseorgPath;
	}

	public void setBaseorgPath(String baseorgPath) {
		this.baseorgPath = baseorgPath;
	}

	public String getCarNumber() {
		return carNumber;
	}

	public void setCarNumber(String carNumber) {
		this.carNumber = carNumber;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getUserPassword() {
		return userPassword;
	}

	public void setUserPassword(String userPassword) {
		this.userPassword = userPassword;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getUnicode() {
		return unicode;
	}

	public void setUnicode(String unicode) {
		this.unicode = unicode;
	}

	public Long getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(Long departmentId) {
		this.departmentId = departmentId;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getOwnerLocation() {
		return ownerLocation;
	}

	public void setOwnerLocation(String ownerLocation) {
		this.ownerLocation = ownerLocation;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getUserStatus() {
		return userStatus;
	}

	public void setUserStatus(String userStatus) {
		this.userStatus = userStatus;
	}

	public String getStartUsefulLife() {
		return startUsefulLife;
	}

	public void setStartUsefulLife(String startUsefulLife) {
		this.startUsefulLife = startUsefulLife;
	}

	public String getEndUsefulLife() {
		return endUsefulLife;
	}

	public void setEndUsefulLife(String endUsefulLife) {
		this.endUsefulLife = endUsefulLife;
	}

	public String getBirthday() {
		return birthday;
	}

	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}

	public String getIdCard() {
		return idCard;
	}

	public void setIdCard(String idCard) {
		this.idCard = idCard;
	}

	public String getMealStatus() {
		return mealStatus;
	}

	public void setMealStatus(String mealStatus) {
		this.mealStatus = mealStatus;
	}

	public String getMealNo() {
		return mealNo;
	}

	public void setMealNo(String mealNo) {
		this.mealNo = mealNo;
	}

	public String getCompony() {
		return compony;
	}

	public void setCompony(String compony) {
		this.compony = compony;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public Date getGmtCreated() {
		return gmtCreated;
	}

	public void setGmtCreated(Date gmtCreated) {
		this.gmtCreated = gmtCreated;
	}

	public Date getGmtModified() {
		return gmtModified;
	}

	public void setGmtModified(Date gmtModified) {
		this.gmtModified = gmtModified;
	}

	public String getIsDeleted() {
		return isDeleted;
	}

	public void setIsDeleted(String isDeleted) {
		this.isDeleted = isDeleted;
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public int getGender() {
		return gender;
	}

	public void setGender(int gender) {
		this.gender = gender;
	}

	public String getLandline() {
		return landline;
	}

	public void setLandline(String landline) {
		this.landline = landline;
	}

	public String getLiveAddr() {
		return liveAddr;
	}

	public void setLiveAddr(String liveAddr) {
		this.liveAddr = liveAddr;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}


}
